---
updatedAt: 2026-04-21T13:55:31.000Z
agentTools:
  projectIndex: https://developer.operations1.com/llms.txt
---

# Create a document

Create a document. The request body is limited to a maximum size of 1 MB (1048576 bytes).

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Operations1 REST API",
    "description": "Operations1 REST API documentation",
    "version": "2025-04-21"
  },
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    }
  },
  "paths": {
    "/tenants/{tenantId}/documents": {
      "post": {
        "operationId": "createDocument",
        "summary": "Create a document",
        "tags": [
          "Document"
        ],
        "description": "Create a document. The request body is limited to a maximum size of 1 MB (1048576 bytes).",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "name",
                  "lang"
                ],
                "properties": {
                  "name": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 255
                  },
                  "lang": {
                    "enum": [
                      "ar",
                      "bg",
                      "bs",
                      "cs",
                      "da",
                      "de",
                      "el",
                      "en",
                      "es",
                      "et",
                      "fi",
                      "fo",
                      "fr",
                      "hi",
                      "hr",
                      "hu",
                      "id",
                      "is",
                      "it",
                      "ja",
                      "ka",
                      "lo",
                      "lt",
                      "mn",
                      "ms",
                      "mt",
                      "nl",
                      "nn",
                      "pl",
                      "pt",
                      "ro",
                      "ru",
                      "sk",
                      "sl",
                      "sq",
                      "sr",
                      "sv",
                      "ta",
                      "th",
                      "tr",
                      "uk",
                      "vi",
                      "zh"
                    ],
                    "type": "string"
                  },
                  "visible": {
                    "type": "boolean"
                  },
                  "hasVariables": {
                    "type": "boolean"
                  },
                  "changeNotes": {
                    "anyOf": [
                      {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 1000
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "notes": {
                    "anyOf": [
                      {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 1000
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "validityDate": {
                    "type": "string",
                    "format": "date-time"
                  },
                  "confidentiality": {
                    "enum": [
                      "public",
                      "internal",
                      "confidential",
                      "strictly-confidential"
                    ],
                    "type": "string"
                  },
                  "reportHidden": {
                    "type": "boolean"
                  },
                  "reportCompletionPreventionMode": {
                    "enum": [
                      "none",
                      "critical-fail",
                      "any-fail"
                    ],
                    "type": "string"
                  },
                  "locales": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "required": [
                        "localeCode",
                        "name"
                      ],
                      "properties": {
                        "localeCode": {
                          "enum": [
                            "ar",
                            "bg",
                            "bs",
                            "cs",
                            "da",
                            "de",
                            "el",
                            "en",
                            "es",
                            "et",
                            "fi",
                            "fo",
                            "fr",
                            "hi",
                            "hr",
                            "hu",
                            "id",
                            "is",
                            "it",
                            "ja",
                            "ka",
                            "lo",
                            "lt",
                            "mn",
                            "ms",
                            "mt",
                            "nl",
                            "nn",
                            "pl",
                            "pt",
                            "ro",
                            "ru",
                            "sk",
                            "sl",
                            "sq",
                            "sr",
                            "sv",
                            "ta",
                            "th",
                            "tr",
                            "uk",
                            "vi",
                            "zh"
                          ],
                          "type": "string"
                        },
                        "name": {
                          "type": "string",
                          "minLength": 1,
                          "maxLength": 255
                        },
                        "changeNotes": {
                          "type": "string",
                          "minLength": 1,
                          "maxLength": 1000
                        },
                        "notes": {
                          "type": "string",
                          "minLength": 1,
                          "maxLength": 1000
                        }
                      }
                    },
                    "description": "Additional document locales"
                  },
                  "steps": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "required": [
                        "name",
                        "type",
                        "processSteps"
                      ],
                      "properties": {
                        "name": {
                          "type": "string",
                          "minLength": 1,
                          "maxLength": 2000
                        },
                        "locales": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "required": [
                              "localeCode",
                              "name"
                            ],
                            "properties": {
                              "localeCode": {
                                "enum": [
                                  "ar",
                                  "bg",
                                  "bs",
                                  "cs",
                                  "da",
                                  "de",
                                  "el",
                                  "en",
                                  "es",
                                  "et",
                                  "fi",
                                  "fo",
                                  "fr",
                                  "hi",
                                  "hr",
                                  "hu",
                                  "id",
                                  "is",
                                  "it",
                                  "ja",
                                  "ka",
                                  "lo",
                                  "lt",
                                  "mn",
                                  "ms",
                                  "mt",
                                  "nl",
                                  "nn",
                                  "pl",
                                  "pt",
                                  "ro",
                                  "ru",
                                  "sk",
                                  "sl",
                                  "sq",
                                  "sr",
                                  "sv",
                                  "ta",
                                  "th",
                                  "tr",
                                  "uk",
                                  "vi",
                                  "zh"
                                ],
                                "type": "string"
                              },
                              "name": {
                                "type": "string",
                                "minLength": 1,
                                "maxLength": 255
                              }
                            }
                          },
                          "description": "Additional locales"
                        },
                        "type": {
                          "enum": [
                            "instruction"
                          ],
                          "type": "string"
                        },
                        "processSteps": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "required": [
                              "name",
                              "interactions"
                            ],
                            "properties": {
                              "name": {
                                "type": "string",
                                "minLength": 1,
                                "maxLength": 2000
                              },
                              "locales": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "required": [
                                    "localeCode",
                                    "name"
                                  ],
                                  "properties": {
                                    "localeCode": {
                                      "enum": [
                                        "ar",
                                        "bg",
                                        "bs",
                                        "cs",
                                        "da",
                                        "de",
                                        "el",
                                        "en",
                                        "es",
                                        "et",
                                        "fi",
                                        "fo",
                                        "fr",
                                        "hi",
                                        "hr",
                                        "hu",
                                        "id",
                                        "is",
                                        "it",
                                        "ja",
                                        "ka",
                                        "lo",
                                        "lt",
                                        "mn",
                                        "ms",
                                        "mt",
                                        "nl",
                                        "nn",
                                        "pl",
                                        "pt",
                                        "ro",
                                        "ru",
                                        "sk",
                                        "sl",
                                        "sq",
                                        "sr",
                                        "sv",
                                        "ta",
                                        "th",
                                        "tr",
                                        "uk",
                                        "vi",
                                        "zh"
                                      ],
                                      "type": "string"
                                    },
                                    "name": {
                                      "type": "string",
                                      "minLength": 1,
                                      "maxLength": 255
                                    }
                                  }
                                },
                                "description": "Additional locales"
                              },
                              "individualReport": {
                                "type": "boolean"
                              },
                              "interactions": {
                                "type": "array",
                                "items": {
                                  "anyOf": [
                                    {
                                      "type": "object",
                                      "required": [
                                        "name",
                                        "type"
                                      ],
                                      "properties": {
                                        "name": {
                                          "type": "string",
                                          "minLength": 1,
                                          "maxLength": 10000
                                        },
                                        "type": {
                                          "enum": [
                                            "description"
                                          ],
                                          "type": "string"
                                        },
                                        "locales": {
                                          "type": "array",
                                          "items": {
                                            "type": "object",
                                            "required": [
                                              "localeCode",
                                              "name"
                                            ],
                                            "properties": {
                                              "localeCode": {
                                                "enum": [
                                                  "ar",
                                                  "bg",
                                                  "bs",
                                                  "cs",
                                                  "da",
                                                  "de",
                                                  "el",
                                                  "en",
                                                  "es",
                                                  "et",
                                                  "fi",
                                                  "fo",
                                                  "fr",
                                                  "hi",
                                                  "hr",
                                                  "hu",
                                                  "id",
                                                  "is",
                                                  "it",
                                                  "ja",
                                                  "ka",
                                                  "lo",
                                                  "lt",
                                                  "mn",
                                                  "ms",
                                                  "mt",
                                                  "nl",
                                                  "nn",
                                                  "pl",
                                                  "pt",
                                                  "ro",
                                                  "ru",
                                                  "sk",
                                                  "sl",
                                                  "sq",
                                                  "sr",
                                                  "sv",
                                                  "ta",
                                                  "th",
                                                  "tr",
                                                  "uk",
                                                  "vi",
                                                  "zh"
                                                ],
                                                "type": "string"
                                              },
                                              "name": {
                                                "type": "string",
                                                "minLength": 1,
                                                "maxLength": 10000
                                              }
                                            }
                                          },
                                          "description": "Interaction name locales"
                                        }
                                      }
                                    },
                                    {
                                      "type": "object",
                                      "required": [
                                        "name",
                                        "type"
                                      ],
                                      "properties": {
                                        "name": {
                                          "type": "string",
                                          "minLength": 1,
                                          "maxLength": 10000
                                        },
                                        "type": {
                                          "enum": [
                                            "link"
                                          ],
                                          "type": "string"
                                        },
                                        "uri": {
                                          "type": "string"
                                        },
                                        "locales": {
                                          "type": "array",
                                          "items": {
                                            "type": "object",
                                            "required": [
                                              "localeCode",
                                              "name"
                                            ],
                                            "properties": {
                                              "localeCode": {
                                                "enum": [
                                                  "ar",
                                                  "bg",
                                                  "bs",
                                                  "cs",
                                                  "da",
                                                  "de",
                                                  "el",
                                                  "en",
                                                  "es",
                                                  "et",
                                                  "fi",
                                                  "fo",
                                                  "fr",
                                                  "hi",
                                                  "hr",
                                                  "hu",
                                                  "id",
                                                  "is",
                                                  "it",
                                                  "ja",
                                                  "ka",
                                                  "lo",
                                                  "lt",
                                                  "mn",
                                                  "ms",
                                                  "mt",
                                                  "nl",
                                                  "nn",
                                                  "pl",
                                                  "pt",
                                                  "ro",
                                                  "ru",
                                                  "sk",
                                                  "sl",
                                                  "sq",
                                                  "sr",
                                                  "sv",
                                                  "ta",
                                                  "th",
                                                  "tr",
                                                  "uk",
                                                  "vi",
                                                  "zh"
                                                ],
                                                "type": "string"
                                              },
                                              "name": {
                                                "type": "string",
                                                "minLength": 1,
                                                "maxLength": 10000
                                              }
                                            }
                                          },
                                          "description": "Interaction name locales"
                                        }
                                      }
                                    },
                                    {
                                      "type": "object",
                                      "required": [
                                        "name",
                                        "type"
                                      ],
                                      "properties": {
                                        "locales": {
                                          "type": "array",
                                          "items": {
                                            "type": "object",
                                            "required": [
                                              "localeCode",
                                              "name"
                                            ],
                                            "properties": {
                                              "localeCode": {
                                                "enum": [
                                                  "ar",
                                                  "bg",
                                                  "bs",
                                                  "cs",
                                                  "da",
                                                  "de",
                                                  "el",
                                                  "en",
                                                  "es",
                                                  "et",
                                                  "fi",
                                                  "fo",
                                                  "fr",
                                                  "hi",
                                                  "hr",
                                                  "hu",
                                                  "id",
                                                  "is",
                                                  "it",
                                                  "ja",
                                                  "ka",
                                                  "lo",
                                                  "lt",
                                                  "mn",
                                                  "ms",
                                                  "mt",
                                                  "nl",
                                                  "nn",
                                                  "pl",
                                                  "pt",
                                                  "ro",
                                                  "ru",
                                                  "sk",
                                                  "sl",
                                                  "sq",
                                                  "sr",
                                                  "sv",
                                                  "ta",
                                                  "th",
                                                  "tr",
                                                  "uk",
                                                  "vi",
                                                  "zh"
                                                ],
                                                "type": "string"
                                              },
                                              "name": {
                                                "type": "string",
                                                "minLength": 1,
                                                "maxLength": 10000
                                              }
                                            }
                                          },
                                          "description": "Interaction name locales"
                                        },
                                        "name": {
                                          "type": "string",
                                          "minLength": 1,
                                          "maxLength": 10000
                                        },
                                        "mandatory": {
                                          "type": "boolean"
                                        },
                                        "canBeNotApplicable": {
                                          "type": "boolean"
                                        },
                                        "explanation": {
                                          "type": "boolean"
                                        },
                                        "type": {
                                          "enum": [
                                            "number"
                                          ],
                                          "type": "string"
                                        },
                                        "nominalValue": {
                                          "anyOf": [
                                            {
                                              "type": "string",
                                              "minLength": 1,
                                              "maxLength": 64,
                                              "pattern": "^[0-9]+(\\.[0-9]+)?$"
                                            },
                                            {
                                              "type": "null"
                                            }
                                          ]
                                        },
                                        "visibleNominalValue": {
                                          "type": "boolean"
                                        },
                                        "numberOfDecimals": {
                                          "anyOf": [
                                            {
                                              "type": "integer",
                                              "minimum": 0,
                                              "maximum": 10
                                            },
                                            {
                                              "type": "null"
                                            }
                                          ]
                                        },
                                        "unitId": {
                                          "type": "integer",
                                          "minimum": 1,
                                          "maximum": 9007199254740991
                                        },
                                        "tagIds": {
                                          "type": "array",
                                          "items": {
                                            "type": "integer",
                                            "minimum": 1,
                                            "maximum": 9007199254740991
                                          }
                                        }
                                      }
                                    },
                                    {
                                      "type": "object",
                                      "required": [
                                        "name",
                                        "type",
                                        "responses"
                                      ],
                                      "properties": {
                                        "locales": {
                                          "type": "array",
                                          "items": {
                                            "type": "object",
                                            "required": [
                                              "localeCode",
                                              "name"
                                            ],
                                            "properties": {
                                              "localeCode": {
                                                "enum": [
                                                  "ar",
                                                  "bg",
                                                  "bs",
                                                  "cs",
                                                  "da",
                                                  "de",
                                                  "el",
                                                  "en",
                                                  "es",
                                                  "et",
                                                  "fi",
                                                  "fo",
                                                  "fr",
                                                  "hi",
                                                  "hr",
                                                  "hu",
                                                  "id",
                                                  "is",
                                                  "it",
                                                  "ja",
                                                  "ka",
                                                  "lo",
                                                  "lt",
                                                  "mn",
                                                  "ms",
                                                  "mt",
                                                  "nl",
                                                  "nn",
                                                  "pl",
                                                  "pt",
                                                  "ro",
                                                  "ru",
                                                  "sk",
                                                  "sl",
                                                  "sq",
                                                  "sr",
                                                  "sv",
                                                  "ta",
                                                  "th",
                                                  "tr",
                                                  "uk",
                                                  "vi",
                                                  "zh"
                                                ],
                                                "type": "string"
                                              },
                                              "name": {
                                                "type": "string",
                                                "minLength": 1,
                                                "maxLength": 10000
                                              }
                                            }
                                          },
                                          "description": "Interaction name locales"
                                        },
                                        "name": {
                                          "type": "string",
                                          "minLength": 1,
                                          "maxLength": 10000
                                        },
                                        "mandatory": {
                                          "type": "boolean"
                                        },
                                        "canBeNotApplicable": {
                                          "type": "boolean"
                                        },
                                        "explanation": {
                                          "type": "boolean"
                                        },
                                        "type": {
                                          "enum": [
                                            "multiple-choice"
                                          ],
                                          "type": "string"
                                        },
                                        "singleChoice": {
                                          "type": "boolean"
                                        },
                                        "tagIds": {
                                          "type": "array",
                                          "items": {
                                            "type": "integer",
                                            "minimum": 1,
                                            "maximum": 9007199254740991
                                          }
                                        },
                                        "responses": {
                                          "type": "array",
                                          "items": {
                                            "type": "object",
                                            "required": [
                                              "name"
                                            ],
                                            "properties": {
                                              "name": {
                                                "type": "string",
                                                "minLength": 1,
                                                "maxLength": 10000
                                              },
                                              "failIf": {
                                                "enum": [
                                                  "selected",
                                                  "not-selected"
                                                ],
                                                "type": "string"
                                              },
                                              "locales": {
                                                "type": "array",
                                                "items": {
                                                  "type": "object",
                                                  "required": [
                                                    "localeCode",
                                                    "name"
                                                  ],
                                                  "properties": {
                                                    "localeCode": {
                                                      "enum": [
                                                        "ar",
                                                        "bg",
                                                        "bs",
                                                        "cs",
                                                        "da",
                                                        "de",
                                                        "el",
                                                        "en",
                                                        "es",
                                                        "et",
                                                        "fi",
                                                        "fo",
                                                        "fr",
                                                        "hi",
                                                        "hr",
                                                        "hu",
                                                        "id",
                                                        "is",
                                                        "it",
                                                        "ja",
                                                        "ka",
                                                        "lo",
                                                        "lt",
                                                        "mn",
                                                        "ms",
                                                        "mt",
                                                        "nl",
                                                        "nn",
                                                        "pl",
                                                        "pt",
                                                        "ro",
                                                        "ru",
                                                        "sk",
                                                        "sl",
                                                        "sq",
                                                        "sr",
                                                        "sv",
                                                        "ta",
                                                        "th",
                                                        "tr",
                                                        "uk",
                                                        "vi",
                                                        "zh"
                                                      ],
                                                      "type": "string"
                                                    },
                                                    "name": {
                                                      "type": "string",
                                                      "minLength": 1,
                                                      "maxLength": 10000
                                                    }
                                                  }
                                                },
                                                "description": "Interaction name locales"
                                              }
                                            }
                                          },
                                          "minItems": 1
                                        }
                                      }
                                    },
                                    {
                                      "type": "object",
                                      "required": [
                                        "name",
                                        "type",
                                        "captureMode"
                                      ],
                                      "properties": {
                                        "locales": {
                                          "type": "array",
                                          "items": {
                                            "type": "object",
                                            "required": [
                                              "localeCode",
                                              "name"
                                            ],
                                            "properties": {
                                              "localeCode": {
                                                "enum": [
                                                  "ar",
                                                  "bg",
                                                  "bs",
                                                  "cs",
                                                  "da",
                                                  "de",
                                                  "el",
                                                  "en",
                                                  "es",
                                                  "et",
                                                  "fi",
                                                  "fo",
                                                  "fr",
                                                  "hi",
                                                  "hr",
                                                  "hu",
                                                  "id",
                                                  "is",
                                                  "it",
                                                  "ja",
                                                  "ka",
                                                  "lo",
                                                  "lt",
                                                  "mn",
                                                  "ms",
                                                  "mt",
                                                  "nl",
                                                  "nn",
                                                  "pl",
                                                  "pt",
                                                  "ro",
                                                  "ru",
                                                  "sk",
                                                  "sl",
                                                  "sq",
                                                  "sr",
                                                  "sv",
                                                  "ta",
                                                  "th",
                                                  "tr",
                                                  "uk",
                                                  "vi",
                                                  "zh"
                                                ],
                                                "type": "string"
                                              },
                                              "name": {
                                                "type": "string",
                                                "minLength": 1,
                                                "maxLength": 10000
                                              }
                                            }
                                          },
                                          "description": "Interaction name locales"
                                        },
                                        "name": {
                                          "type": "string",
                                          "minLength": 1,
                                          "maxLength": 10000
                                        },
                                        "mandatory": {
                                          "type": "boolean"
                                        },
                                        "canBeNotApplicable": {
                                          "type": "boolean"
                                        },
                                        "explanation": {
                                          "type": "boolean"
                                        },
                                        "type": {
                                          "enum": [
                                            "media-feedback"
                                          ],
                                          "type": "string"
                                        },
                                        "captureMode": {
                                          "enum": [
                                            "signature",
                                            "image",
                                            "video",
                                            "image-video-pdf"
                                          ],
                                          "type": "string"
                                        },
                                        "tagIds": {
                                          "type": "array",
                                          "items": {
                                            "type": "integer",
                                            "minimum": 1,
                                            "maximum": 9007199254740991
                                          }
                                        }
                                      }
                                    },
                                    {
                                      "type": "object",
                                      "required": [
                                        "name",
                                        "type",
                                        "columns",
                                        "rows"
                                      ],
                                      "properties": {
                                        "locales": {
                                          "type": "array",
                                          "items": {
                                            "type": "object",
                                            "required": [
                                              "localeCode",
                                              "name"
                                            ],
                                            "properties": {
                                              "localeCode": {
                                                "enum": [
                                                  "ar",
                                                  "bg",
                                                  "bs",
                                                  "cs",
                                                  "da",
                                                  "de",
                                                  "el",
                                                  "en",
                                                  "es",
                                                  "et",
                                                  "fi",
                                                  "fo",
                                                  "fr",
                                                  "hi",
                                                  "hr",
                                                  "hu",
                                                  "id",
                                                  "is",
                                                  "it",
                                                  "ja",
                                                  "ka",
                                                  "lo",
                                                  "lt",
                                                  "mn",
                                                  "ms",
                                                  "mt",
                                                  "nl",
                                                  "nn",
                                                  "pl",
                                                  "pt",
                                                  "ro",
                                                  "ru",
                                                  "sk",
                                                  "sl",
                                                  "sq",
                                                  "sr",
                                                  "sv",
                                                  "ta",
                                                  "th",
                                                  "tr",
                                                  "uk",
                                                  "vi",
                                                  "zh"
                                                ],
                                                "type": "string"
                                              },
                                              "name": {
                                                "type": "string",
                                                "minLength": 1,
                                                "maxLength": 10000
                                              }
                                            }
                                          },
                                          "description": "Interaction name locales"
                                        },
                                        "name": {
                                          "type": "string",
                                          "minLength": 1,
                                          "maxLength": 10000
                                        },
                                        "mandatory": {
                                          "type": "boolean"
                                        },
                                        "canBeNotApplicable": {
                                          "type": "boolean"
                                        },
                                        "explanation": {
                                          "type": "boolean"
                                        },
                                        "type": {
                                          "enum": [
                                            "table"
                                          ],
                                          "type": "string"
                                        },
                                        "columns": {
                                          "type": "array",
                                          "items": {
                                            "type": "object",
                                            "required": [
                                              "type"
                                            ],
                                            "properties": {
                                              "name": {
                                                "type": "string",
                                                "maxLength": 100
                                              },
                                              "type": {
                                                "enum": [
                                                  "textfield",
                                                  "confirm",
                                                  "check",
                                                  "number",
                                                  "description"
                                                ],
                                                "type": "string"
                                              },
                                              "unitId": {
                                                "type": "integer",
                                                "minimum": 1,
                                                "maximum": 9007199254740991
                                              }
                                            }
                                          },
                                          "minItems": 1,
                                          "description": "Table columns from left to right. Each column defines the interaction type that applies only to row cells of this column",
                                          "examples": [
                                            [
                                              {
                                                "type": "number",
                                                "name": "Torque | Column 1"
                                              },
                                              {
                                                "type": "description",
                                                "name": "Why | Column 2"
                                              }
                                            ]
                                          ]
                                        },
                                        "rows": {
                                          "type": "array",
                                          "items": {
                                            "type": "array",
                                            "items": {
                                              "type": "object",
                                              "properties": {
                                                "name": {
                                                  "type": "string",
                                                  "maxLength": 10000
                                                }
                                              }
                                            },
                                            "description": "A single table row"
                                          },
                                          "minItems": 1,
                                          "description": "Table rows from top to bottom. Each row is an array of cells that is matched to `columns` by position, so every row must contain exactly as many cells as there are columns. Use `name` to set the content of a cell, e.g. the displayed text of a `description` cell. Pass an empty object `{}` for cells that need no content of their own, such as input cells (`textfield`, `number`, ...)",
                                          "examples": [
                                            [
                                              [
                                                {},
                                                {
                                                  "name": "Tighten the upper bolt"
                                                }
                                              ],
                                              [
                                                {},
                                                {
                                                  "name": "Tighten the lower bolt"
                                                }
                                              ]
                                            ]
                                          ]
                                        }
                                      }
                                    },
                                    {
                                      "type": "object",
                                      "required": [
                                        "name",
                                        "type"
                                      ],
                                      "properties": {
                                        "locales": {
                                          "type": "array",
                                          "items": {
                                            "type": "object",
                                            "required": [
                                              "localeCode",
                                              "name"
                                            ],
                                            "properties": {
                                              "localeCode": {
                                                "enum": [
                                                  "ar",
                                                  "bg",
                                                  "bs",
                                                  "cs",
                                                  "da",
                                                  "de",
                                                  "el",
                                                  "en",
                                                  "es",
                                                  "et",
                                                  "fi",
                                                  "fo",
                                                  "fr",
                                                  "hi",
                                                  "hr",
                                                  "hu",
                                                  "id",
                                                  "is",
                                                  "it",
                                                  "ja",
                                                  "ka",
                                                  "lo",
                                                  "lt",
                                                  "mn",
                                                  "ms",
                                                  "mt",
                                                  "nl",
                                                  "nn",
                                                  "pl",
                                                  "pt",
                                                  "ro",
                                                  "ru",
                                                  "sk",
                                                  "sl",
                                                  "sq",
                                                  "sr",
                                                  "sv",
                                                  "ta",
                                                  "th",
                                                  "tr",
                                                  "uk",
                                                  "vi",
                                                  "zh"
                                                ],
                                                "type": "string"
                                              },
                                              "name": {
                                                "type": "string",
                                                "minLength": 1,
                                                "maxLength": 10000
                                              }
                                            }
                                          },
                                          "description": "Interaction name locales"
                                        },
                                        "name": {
                                          "type": "string",
                                          "minLength": 1,
                                          "maxLength": 10000
                                        },
                                        "mandatory": {
                                          "type": "boolean"
                                        },
                                        "canBeNotApplicable": {
                                          "type": "boolean"
                                        },
                                        "explanation": {
                                          "type": "boolean"
                                        },
                                        "type": {
                                          "enum": [
                                            "textfield",
                                            "confirmation",
                                            "checkbox",
                                            "key-value"
                                          ],
                                          "type": "string"
                                        },
                                        "tagIds": {
                                          "type": "array",
                                          "items": {
                                            "type": "integer",
                                            "minimum": 1,
                                            "maximum": 9007199254740991
                                          }
                                        }
                                      }
                                    },
                                    {
                                      "type": "object",
                                      "required": [
                                        "name",
                                        "type",
                                        "classId"
                                      ],
                                      "properties": {
                                        "locales": {
                                          "type": "array",
                                          "items": {
                                            "type": "object",
                                            "required": [
                                              "localeCode",
                                              "name"
                                            ],
                                            "properties": {
                                              "localeCode": {
                                                "enum": [
                                                  "ar",
                                                  "bg",
                                                  "bs",
                                                  "cs",
                                                  "da",
                                                  "de",
                                                  "el",
                                                  "en",
                                                  "es",
                                                  "et",
                                                  "fi",
                                                  "fo",
                                                  "fr",
                                                  "hi",
                                                  "hr",
                                                  "hu",
                                                  "id",
                                                  "is",
                                                  "it",
                                                  "ja",
                                                  "ka",
                                                  "lo",
                                                  "lt",
                                                  "mn",
                                                  "ms",
                                                  "mt",
                                                  "nl",
                                                  "nn",
                                                  "pl",
                                                  "pt",
                                                  "ro",
                                                  "ru",
                                                  "sk",
                                                  "sl",
                                                  "sq",
                                                  "sr",
                                                  "sv",
                                                  "ta",
                                                  "th",
                                                  "tr",
                                                  "uk",
                                                  "vi",
                                                  "zh"
                                                ],
                                                "type": "string"
                                              },
                                              "name": {
                                                "type": "string",
                                                "minLength": 1,
                                                "maxLength": 10000
                                              }
                                            }
                                          },
                                          "description": "Interaction name locales"
                                        },
                                        "name": {
                                          "type": "string",
                                          "minLength": 1,
                                          "maxLength": 10000
                                        },
                                        "mandatory": {
                                          "type": "boolean"
                                        },
                                        "canBeNotApplicable": {
                                          "type": "boolean"
                                        },
                                        "explanation": {
                                          "type": "boolean"
                                        },
                                        "type": {
                                          "enum": [
                                            "classifier"
                                          ],
                                          "type": "string"
                                        },
                                        "classId": {
                                          "anyOf": [
                                            {
                                              "type": "integer",
                                              "minimum": 1,
                                              "maximum": 9007199254740991
                                            },
                                            {
                                              "type": "null"
                                            }
                                          ]
                                        },
                                        "singleChoice": {
                                          "type": "boolean"
                                        }
                                      }
                                    }
                                  ]
                                },
                                "minItems": 1
                              }
                            }
                          },
                          "minItems": 1
                        }
                      }
                    },
                    "minItems": 1
                  },
                  "qualificationsRequiredIds": {
                    "type": "array",
                    "items": {
                      "type": "integer",
                      "minimum": 1,
                      "maximum": 9007199254740991
                    },
                    "minItems": 1
                  },
                  "qualificationsGrantedIds": {
                    "type": "array",
                    "items": {
                      "type": "integer",
                      "minimum": 1,
                      "maximum": 9007199254740991
                    },
                    "minItems": 1
                  }
                }
              }
            }
          }
        },
        "parameters": [
          {
            "schema": {
              "type": "string",
              "minLength": 1,
              "maxLength": 100
            },
            "in": "path",
            "name": "tenantId",
            "required": true,
            "description": "Consists of the subdomain. The `tenantId` for `https://company.operations1.app/` is `company`."
          },
          {
            "schema": {
              "anyOf": [
                {
                  "type": "string",
                  "examples": [
                    "2025-04-21",
                    "unstable"
                  ],
                  "format": "date",
                  "description": "Specifies the API version in date format (e.g., \"2024-01-01\"). Allowed values include 2025-04-21"
                },
                {
                  "type": "string",
                  "examples": [
                    "latest"
                  ],
                  "description": "Indicates the most recent stable API version.",
                  "enum": [
                    "latest"
                  ]
                },
                {
                  "type": "string",
                  "examples": [
                    "unstable"
                  ],
                  "description": "Indicates the unstable API version.",
                  "enum": [
                    "unstable"
                  ]
                }
              ]
            },
            "examples": {
              "2025-04-21": {
                "value": "2025-04-21"
              },
              "unstable": {
                "value": "unstable"
              }
            },
            "in": "header",
            "name": "accept-version",
            "required": true,
            "description": "Defines the API version. Using a date is recommended for stability. Avoid using `latest` in production, as it refers to the most up-to-date functionality, which may include breaking changes. For more details, see our article on [versioning](https://developer.operations1.com/reference/versioning)."
          }
        ],
        "responses": {
          "201": {
            "description": "Default Response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "id",
                    "baseId",
                    "name",
                    "names",
                    "version",
                    "visible",
                    "hasVariables",
                    "reportHidden",
                    "state",
                    "changeNotes",
                    "notes",
                    "createdAt",
                    "updatedAt",
                    "createdBy",
                    "updatedBy",
                    "reviewedAt",
                    "reviewedBy",
                    "createdByUserName",
                    "updatedByUserName",
                    "reviewedByUserName",
                    "validityDate",
                    "confidentiality",
                    "localeCode",
                    "classCharacteristics",
                    "qualificationsRequired",
                    "qualificationsGranted"
                  ],
                  "properties": {
                    "id": {
                      "type": "integer",
                      "minimum": 1,
                      "maximum": 9007199254740991
                    },
                    "baseId": {
                      "type": "integer",
                      "minimum": 1,
                      "maximum": 9007199254740991
                    },
                    "name": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "names": {
                      "type": "object",
                      "properties": {
                        "ar": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "bg": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "cs": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "da": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "de": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "el": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "en": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "es": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "et": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "fi": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "fo": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "fr": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "hi": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "hr": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "hu": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "id": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "is": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "it": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "ja": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "ka": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "lo": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "lt": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "ms": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "mn": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "mt": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "nl": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "nn": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "pl": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "ro": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "ru": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "sk": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "sl": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "sv": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "th": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "tr": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "uk": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "vi": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "zh": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "pt": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "ta": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "sq": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "bs": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "sr": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        }
                      },
                      "example": {
                        "en": "Name EN",
                        "de": "Name DE",
                        "fr": null
                      }
                    },
                    "version": {
                      "type": "string"
                    },
                    "visible": {
                      "type": "boolean"
                    },
                    "hasVariables": {
                      "type": "boolean"
                    },
                    "reportHidden": {
                      "type": "boolean"
                    },
                    "state": {
                      "enum": [
                        "new",
                        "review-new",
                        "review-edit",
                        "in-edit",
                        "active",
                        "archived",
                        "trash",
                        "variation-of"
                      ],
                      "type": "string"
                    },
                    "changeNotes": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "notes": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "createdAt": {
                      "type": "string",
                      "format": "date-time"
                    },
                    "updatedAt": {
                      "type": "string",
                      "format": "date-time"
                    },
                    "createdBy": {
                      "anyOf": [
                        {
                          "type": "integer",
                          "minimum": 1,
                          "maximum": 9007199254740991
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "updatedBy": {
                      "anyOf": [
                        {
                          "type": "integer",
                          "minimum": 1,
                          "maximum": 9007199254740991
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "reviewedAt": {
                      "anyOf": [
                        {
                          "type": "string",
                          "format": "date-time"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "reviewedBy": {
                      "anyOf": [
                        {
                          "type": "integer",
                          "minimum": 1,
                          "maximum": 9007199254740991
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "createdByUserName": {
                      "anyOf": [
                        {
                          "type": "string",
                          "minLength": 1,
                          "maxLength": 255
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "updatedByUserName": {
                      "anyOf": [
                        {
                          "type": "string",
                          "minLength": 1,
                          "maxLength": 255
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "reviewedByUserName": {
                      "anyOf": [
                        {
                          "type": "string",
                          "minLength": 1,
                          "maxLength": 255
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "validityDate": {
                      "anyOf": [
                        {
                          "type": "string",
                          "format": "date-time"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "confidentiality": {
                      "anyOf": [
                        {
                          "enum": [
                            "public",
                            "internal",
                            "confidential",
                            "strictly-confidential"
                          ],
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "reportCompletionPreventionMode": {
                      "enum": [
                        "none",
                        "critical-fail",
                        "any-fail"
                      ],
                      "type": "string"
                    },
                    "localeCode": {
                      "enum": [
                        "ar",
                        "bg",
                        "bs",
                        "cs",
                        "da",
                        "de",
                        "el",
                        "en",
                        "es",
                        "et",
                        "fi",
                        "fo",
                        "fr",
                        "hi",
                        "hr",
                        "hu",
                        "id",
                        "is",
                        "it",
                        "ja",
                        "ka",
                        "lo",
                        "lt",
                        "mn",
                        "ms",
                        "mt",
                        "nl",
                        "nn",
                        "pl",
                        "pt",
                        "ro",
                        "ru",
                        "sk",
                        "sl",
                        "sq",
                        "sr",
                        "sv",
                        "ta",
                        "th",
                        "tr",
                        "uk",
                        "vi",
                        "zh"
                      ],
                      "type": "string"
                    },
                    "availableLocales": {
                      "anyOf": [
                        {
                          "type": "array",
                          "items": {
                            "enum": [
                              "ar",
                              "bg",
                              "bs",
                              "cs",
                              "da",
                              "de",
                              "el",
                              "en",
                              "es",
                              "et",
                              "fi",
                              "fo",
                              "fr",
                              "hi",
                              "hr",
                              "hu",
                              "id",
                              "is",
                              "it",
                              "ja",
                              "ka",
                              "lo",
                              "lt",
                              "mn",
                              "ms",
                              "mt",
                              "nl",
                              "nn",
                              "pl",
                              "pt",
                              "ro",
                              "ru",
                              "sk",
                              "sl",
                              "sq",
                              "sr",
                              "sv",
                              "ta",
                              "th",
                              "tr",
                              "uk",
                              "vi",
                              "zh"
                            ],
                            "type": "string"
                          }
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "classCharacteristics": {
[...]
